var request = require("request");
var Sate24RestApi = require('./sate24-rest-api');

var config;

module.exports = StoreUsersController;
function StoreUsersController(_config) {
    config = _config;
}

StoreUsersController.prototype._view = function(req, res, next) {
    var requestOptions = {
        url: config.sate24_rest.url + "/apikey/" + config.sate24_rest.apikey + "/store-user/by-msisdn/" + req.params.msisdn
    };
    request(requestOptions, function(err, requestResponse, body) {
        var storeuser;

        try {
            storeuser = JSON.parse(body);
        }
        catch(e) {
            storeuser = {};
        };

        res.render("store-users.view.html", {
            title: 'Store User',
            config: config,
            session: req.session,
            storeuser: storeuser
        });
    });
}

StoreUsersController.prototype.view = function(req, res, next) {
    var api = new Sate24RestApi(config);
    api.getStoreUserByMsisdn(req.params.msisdn, function(err, storeuser) {
        res.render("store-users.view.html", {
            title: 'Store User',
            config: config,
            session: req.session,
            storeuser: storeuser
        });
    })
}
